Date: Wed, 18 Jun 1997 20:06:35 +0200 (MET DST)
From: Wout Klaren <W.Klaren@inter.NL.net>
To: linux-m68k@phil.uni-sb.de
Subject: Re: L68K: Linux & Hades
In-Reply-To: <d3g1uh8hdl.fsf@cern.ch>
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: Wout Klaren <W.Klaren@inter.NL.net>



On 17 Jun 1997, Jes Sorensen wrote:

> >>>>> "David" == David Cure <David.Cure@ifremer.fr> writes:
> 
> David> Hello, I read some week ago that someone has managed to run
> David> Linux on Hades.
> 
> David> 	Where can I get a patched kernel ?
> 
> I already put in most (all?) of the patches into 2.1.x.
>
> Jes

Yes, but I forgot to send one patch, which is really necessary to run
Linux on the Hades. Here it follows (relative to 2.1.42):

--- ../tmp/arch/m68k/kernel/head.S      Tue May 20 21:53:52 1997
+++ arch/m68k/kernel/head.S     Sun Jun 15 16:22:25 1997
@@ -273,6 +273,9 @@
        movel   %d2,%a0@
        lea     %pc@(SYMBOL_NAME(is_medusa)),%a0
        movel   %d3,%a0@
+       lea     %pc@(Liobase),%a0
+       movel   %d2,%a0@                /* On a Hades the iobase must be set
+                                          before opening the serial port. */
 Lnotypetest:
 #endif

Unfortunately this is not enough to get the kernel running. When doing
disk access the kernel generates the following error messages:

kmem_free: Either bad obj addr or double free (objp=0217e800,
name=size-512)


Wout Klaren


